/*
Constants.h

Constant parameters header file.

*/

// Port pins - enunciation
#define LED1						0
#define LED2 						1
#define LED3 						2
#define LED4 						3
#define LED5 						4
#define LED6 						5
#define LED7 						6
#define LED8 						7
#define LED9 						8
#define LED10 					9
#define BUZZER					10	

// Port pins - expansion header pins
#define EH3							12			
#define EH4							11
#define EH6							13

// Port pins - DS00VQ100 connections
#define TEX_SYNC				14
#define MOSI						15
#define TEX_RETURN			16
#define SPI_CLOCK				17
#define TEX_ZERO				18
#define CS 							19
#define CSNEEPROM				20
#define MISO						21
#define TEX_DIRECTION		22
#define READYN					23

// Port pin masks
#define PORT_DIRECTIONS 0x001A87FF
#define IN_MASK 				0x00200000
#define DATA_READY_MASK 0x00800000

// SPI parameters
#define SPI_HEADER    	0xCC
#define SYNC_FOOTER			0xAA
#define ASYNC_FOOTER		0x77

// EEPROM addresses
#define RESERVED						0
#define EE_ZERO_OFFSET			1
#define EE_AMPLIFIER_GAIN		2
#define	EE_APD_VOLTAGE			3
#define	EE_MEASURING_RANGE	4
#define EE_SIGNAL_WIDTH			5
#define EE_TEST_PORT				6
#define EE_CONFIGURE				7
#define EE_UNUSEDB					8
#define EE_MAIN_XTAL				9
#define EE_SECOND_XTAL			10
#define EE_ZERO_WIDTH				11
#define EE_CORRECTIONS			12
#define EE_SERIAL_NUMBER		255

// Other parameters
#define RANGE0						23.4375
#define RANGE1						46.875
#define RANGE2						93.75
#define RANGE3						187.5
#define RANGE4						375.0
#define TIME_DIR_MASK			0x20
#define SIGNAL_VALID_MASK	0x40
#define FORWARD						0
#define REVERSE						-1
#define READY							0
#define NOT_READY					-1



